Bug 303161 - Add alpha support to SimGear...
Add alpha support to SimGear...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: SimGear (Show other bugs)
rawhide
alpha Linux
low Severity low
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-24 10:34 EDT by Oliver Falk
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-03 17:47:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oliver Falk 2007-09-24 10:34:21 EDT
Simple patch:
diff -up SimGear-0.3.11-pre1/simgear/nasal/naref.h.alpha
SimGear-0.3.11-pre1/simgear/nasal/naref.h
--- SimGear-0.3.11-pre1/simgear/nasal/naref.h.alpha     2007-09-24
16:03:19.000000000 +0200
+++ SimGear-0.3.11-pre1/simgear/nasal/naref.h   2007-09-24 16:04:12.000000000 +0200
@@ -13,7 +13,7 @@
     defined(__ia64__) || defined(_M_IA64) || defined(__ARMEL__)
 # define NASAL_LE
 #elif defined(__sparc) || defined(__ppc__) || defined(__mips) || \
-      defined(__ARMEB__) || defined (__powerpc__) || defined (__powerpc64__)
+      defined(__ARMEB__) || defined (__powerpc__) || defined (__powerpc64__) ||
defined (__alpha__)
 # define NASAL_BE
 #else
 # error Unrecognized CPU architecture


Please check and maybe report upstream. Thx.
Comment 1 Tom "spot" Callaway 2007-10-03 17:47:16 EDT
Checked into rawhide.

Note You need to log in before you can comment on or make changes to this bug.